Index: src/mp4parser/com/googlecode/mp4parser/FileDataSourceImpl.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/mp4parser/com/googlecode/mp4parser/FileDataSourceImpl.java	(revision 4982)
+++ src/mp4parser/com/googlecode/mp4parser/FileDataSourceImpl.java	(revision )
@@ -48,7 +48,14 @@
     }
 
     public ByteBuffer map(long startPosition, long size) throws IOException {
-        return fc.map(FileChannel.MapMode.READ_ONLY, startPosition, size);
+        long currPos = fc.position();
+        ByteBuffer ret = ByteBuffer.allocate((int) size);
+        fc.position(startPosition);
+        fc.read(ret);
+        fc.position(currPos);
+        ret.flip();
+        return ret;
+        //return fc.map(FileChannel.MapMode.READ_ONLY, startPosition, size);
     }
 
     public void close() throws IOException {
